PyModule (Jython API documentation)
Date: 2012-08-13

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.python.core
Class PyModule

    java.lang.Object
      org.python.core.PyObject
          org.python.core.PyModule

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  PyModuleDerived

    public class PyModule

extends PyObject

The Python Module object.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.python.core.PyObject
`PyObject.ConversionException`

Field Summary
`PyObject` | `__dict__` The module's mutable dictionary

Fields inherited from class org.python.core.PyObject
`TYPE`

Constructor Summary
`PyModule()`
`PyModule(PyType subType)`
`PyModule(PyType subType, String name)`
`PyModule(String name)`
`PyModule(String name, PyObject dict)`

Method Summary
`void` | `__delattr__(String name)` A variant of the __delattr__ method which accepts a String as the key.
`PyObject` | `__dir__()` Equivalent to the standard Python __dir__ method.
`void` | `__setattr__(String name, PyObject value)` A variant of the __setattr__ method which accepts a String as the key.
`void` | `delDict()`
`PyObject` | `fastGetDict()` xxx implements where meaningful
`PyObject` | `getDict()` xxx implements where meaningful
`void` | `setDict(PyObject newDict)`
`String` | `toString()`

Methods inherited from class org.python.core.PyObject
`__abs__, __add__, __and__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __cmp__, __coerce__, __coerce_ex__, __complex__, __contains__, __delattr__, __delete__, __delitem__, __delitem__, __delslice__, __delslice__, __div__, __divmod__, __eq__, __findattr__, __findattr__, __findattr_ex__, __finditem__, __finditem__, __finditem__, __float__, __floordiv__, __ge__, __get__, __getattr__, __getattr__, __getitem__, __getitem__, __getnewargs__, __getslice__, __getslice__, __gt__, __hash__, __hex__, __iadd__, __iand__, __idiv__, __idivmod__, __ifloordiv__, __ilshift__, __imod__, __imul__, __index__, __int__, __invert__, __ior__, __ipow__, __irshift__, __isub__, __iter__, __iternext__, __itruediv__, __ixor__, __le__, __len__, __long__, __lshift__, __lt__, __mod__, __mul__, __ne__, __neg__, __nonzero__, __not__, __oct__, __or__, __pos__, __pow__, __pow__, __radd__, __rand__, __rdiv__, __rdivmod__, __reduce__, __reduce_ex__, __reduce_ex__, __repr__, __rfloordiv__, __rlshift__, __rmod__, __rmul__, __ror__, __rpow__, __rrshift__, __rshift__, __rsub__, __rtruediv__, __rxor__, __set__, __setattr__, __setitem__, __setitem__, __setitem__, __setslice__, __setslice__, __str__, __sub__, __tojava__, __truediv__, __unicode__, __xor__, _add, _and, _callextra, _cmp, _div, _divmod, _doget, _doget, _doset, _eq, _floordiv, _ge, _gt, _iadd, _iand, _idiv, _idivmod, _ifloordiv, _ilshift, _imod, _imul, _in, _ior, _ipow, _irshift, _is, _isnot, _isub, _itruediv, _ixor, _jcall, _jcallexc, _jthrow, _le, _lshift, _lt, _mod, _mul, _ne, _notin, _or, _pow, _rshift, _sub, _truediv, _xor, asDouble, asIndex, asIndex, asInt, asInt, asIterable, asLong, asLong, asName, asName, asString, asString, asStringOrNull, asStringOrNull, delType, dispatch__init__, equals, fastGetClass, getType, hashCode, implementsDescrDelete, implementsDescrGet, implementsDescrSet, invoke, invoke, invoke, invoke, invoke, invoke, isCallable, isDataDescr, isIndex, isMappingType, isNumberType, isSequenceType, noAttributeError, readonlyAttributeError, setType`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### __dict__

    public PyObject __dict__

  The module's mutable dictionary

Constructor Detail

### PyModule

    public PyModule()

### PyModule

    public PyModule(PyType subType)

### PyModule

    public PyModule(PyType subType,
                    String name)

### PyModule

    public PyModule(String name)

### PyModule

    public PyModule(String name,
                    PyObject dict)

Method Detail

### fastGetDict

    public PyObject fastGetDict()

  Description copied from class: `PyObject`
  xxx implements where meaningful

  Overrides:
    `fastGetDict` in class `PyObject`
  Returns:
    internal object per instance dict or null

### getDict

    public PyObject getDict()

  Description copied from class: `PyObject`
  xxx implements where meaningful

  Overrides:
    `getDict` in class `PyObject`
  Returns:
    internal object __dict__ or null

### setDict

    public void setDict(PyObject newDict)

  Overrides:
    `setDict` in class `PyObject`

### delDict

    public void delDict()

  Overrides:
    `delDict` in class `PyObject`

### __setattr__

    public void __setattr__(String name,
                            PyObject value)

  Description copied from class: `PyObject`
  A variant of the __setattr__ method which accepts a String as the key. This String must be interned.

  Overrides:
    `__setattr__` in class `PyObject`
  Parameters:
    `name` - the name whose value will be set - must be an interned string .
    `value` - the value to set this name to
  See Also:
    `PyObject.__setattr__(PyString, PyObject)`

### __delattr__

    public void __delattr__(String name)

  Description copied from class: `PyObject`
  A variant of the __delattr__ method which accepts a String as the key. This String must be interned. By default, this will call `__delattr__(PyString name)` with the appropriate args. The only reason to override this method is for performance.

  Overrides:
    `__delattr__` in class `PyObject`
  Parameters:
    `name` - the name which will be removed - must be an interned string .
  See Also:
    `PyObject.__delattr__(PyString)`

### toString

    public String toString()

  Overrides:
    `toString` in class `PyObject`

### __dir__

    public PyObject __dir__()

  Description copied from class: `PyObject`
  Equivalent to the standard Python __dir__ method.

  Overrides:
    `__dir__` in class `PyObject`
  Returns:
    a list of names defined by this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Jython homepage